# File Formats

The modules described in this chapter parse various miscellaneous file formats that aren’t markup languages and are not related to e-mail.

- `csv` — CSV File Reading and Writing
  - Module Contents
  - Dialects and Formatting Parameters
  - Reader Objects
  - Writer Objects
  - Examples
- `configparser` — Configuration file parser
  - Quick Start
  - Supported Datatypes
  - Fallback Values
  - Supported INI File Structure
  - Interpolation of values
  - Mapping Protocol Access
  - Customizing Parser Behaviour
  - Legacy API Examples
  - ConfigParser Objects
  - RawConfigParser Objects
  - Exceptions
- `netrc` — netrc file processing
  - netrc Objects
- `plistlib` — Generate and parse Apple `.plist` files
  - Examples